MPT_ATTACH(9)

NAME
mpt_attach - Install a PCI intelligent MPT adapter.

SYNOPSIS

int mpt_attach(struct pci_dev * pdev, const struct pci_device_id * id);

ARGUMENTS

pdev
    Pointer to pci_dev structure

id
    PCI device ID information

DESCRIPTION

This routine performs all the steps necessary to bring the IOC of a MPT adapter to a OPERATIONAL state. This includes registering memory regions, registering the interrupt, and allocating request and reply memory pools.

This routine also pre-fetches the LAN MAC address of a Fibre Channel MPT adapter.

Returns 0 for success, non-zero for failure.

TODO

Add support for polled controllers

COPYRIGHT